Bug 1532244 - Unable to get cloud_tenant value through service dialog
Summary: Unable to get cloud_tenant value through service dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Tina Fitzgerald
QA Contact: Jad Haj Yahya
URL:
Whiteboard:
: 1549131 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-08 13:16 UTC by Chen
Modified: 2019-04-09 16:12 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:53 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:59 UTC

Description Chen 2018-01-08 13:16:36 UTC
Description of problem:

Unable to set cloud_tenant in service dialog.
[----] E, [2018-01-08T03:08:22.597714 #16330:57ab0d4] ERROR -- : Q-task_id([service_template_provision_task_1000000000017]) <AutomationEngine> <AEMethod update_serviceprovision_status> Service Provision Error: Server [EVM] Service [nonetwork-20180108-030643] Step [checkprovisioned] Status [Error Creating Service] Message [[NoMethodError]: undefined method `[]' for nil:NilClass]


Version-Release number of selected component (if applicable):

CFME 5.8.2-3

How reproducible:

100%

Steps to Reproduce:
1. Create a dialog with a dropdown list of cloud_tenant
2. No matter I set id, name or ems_ref of one tenant, the error will occur
3.

Actual results:


Expected results:

The cloud_tenant can be selected in the dropdown list like cloud_network and instance_type

Additional info:

Comment 3 Greg McCullough 2018-01-09 22:25:34 UTC
The associated support case has the automation.log but I would also like the evm.log and production.log that go along with this issue.

Comment 4 Chen 2018-01-10 14:29:36 UTC
Hi Greg,

I can reproduce the issue in my local environment. I reproduced the issue again and would you please login to my machine to have a check ?

Reproduce environment:
10.72.32.167 root/smartvm
Service dialog: nonetwork
miq_provision_1000000000021
Timestamp: 2018-01-10T09:26:27

Thank you very much !

Best Regards,
Chen

Comment 5 Greg McCullough 2018-01-12 21:04:30 UTC
madhu - Can you review this setup.  I am hoping they just need some direction on how to configure.

Comment 7 Dave Johnson 2018-01-31 04:57:30 UTC
Madhu, is there any progress here per comment 6?  Chen has provided a environment, can you please take a look and provide guidance.  THX.

Comment 8 Greg McCullough 2018-01-31 16:50:06 UTC
Re-assigning to Tina to review.

Comment 9 Tina Fitzgerald 2018-02-05 14:38:01 UTC
The issue is caused by the Service Dialog populating cloud_tenant as a string, when the code is expecting it to be an array.

----] I, [2018-01-31T13:04:42.543243 #4325:f61134] INFO -- :
Q-task_id([miq_provision_1000000000024])
MIQ(ManageIQ::Providers::Openstack::CloudManager::Provision#log_clone_options)
Prov Options: :cloud_tenant = "1000000000001"


Created: https://github.com/ManageIQ/manageiq-providers-openstack/pull/223

Comment 10 Tina Fitzgerald 2018-02-28 17:16:13 UTC
*** Bug 1549131 has been marked as a duplicate of this bug. ***

Comment 11 Neha Chugh 2018-06-08 07:47:29 UTC
Hello Omri,

Can you please verify the patch provided. Do let us know if any additional information required from my end.

Regards,
Neha Chugh

Comment 12 Neha Chugh 2018-08-16 07:05:39 UTC
Hello Jadh,

Do we have an update on this?

Regards,
Neha Chugh

Comment 13 Jad Haj Yahya 2018-08-28 08:26:53 UTC
Verified o 5.10.0.11

Comment 14 errata-xmlrpc 2019-02-07 23:00:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.